## org.eclipse.emf.codegen.jet
Class JETParser.QuoteEscape

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETParser.QuoteEscape

All Implemented Interfaces:
  JETCoreElement

Enclosing class:
  JETParser

    public static class JETParser.QuoteEscape

extends java.lang.Object
implements JETCoreElement

Quoting in template text. Entities ' and "e;

Field Summary
`protected static java.lang.String` `APOS` constants for escapes
`protected static java.lang.String` `QUOTE`

Constructor Summary
`JETParser.QuoteEscape()`

Method Summary
`boolean` `accept(JETParseEventListener listener, JETReader reader, JETParser parser)` Return true if the input contained the sequence that matched the action corresponding to this core tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APOS

    protected static final java.lang.String APOS

  constants for escapes

  See Also:
    Constant Field Values

### QUOTE

    protected static final java.lang.String QUOTE

See Also:
  Constant Field Values

Constructor Detail

### JETParser.QuoteEscape

    public JETParser.QuoteEscape()

Method Detail

### accept

    public boolean accept(JETParseEventListener listener,
                          JETReader reader,
                          JETParser parser)
                   throws JETException

  Description copied from interface: `JETCoreElement`
  Return true if the input contained the sequence that matched the action corresponding to this core tag.

  Specified by:
    `accept` in interface `JETCoreElement`
  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.